/*
**    Genray: A Generic Raytracer
**    Copyright (C) 1994  Stephen Chenney (stephen@cs.su.oz.au)
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
**	genray : a generic raytracer.
**
**	xstuff.h : X related header file.
*/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/SmeBSB.h>
#include "View.h"

extern XtAppContext	app_context;
extern Widget		top_level;
extern Widget		view_window;
extern Widget		menu_widget;
extern Widget		menu_children[2];
extern XRectangle	screen_rect;
extern Pixmap		drawing_pixmap;

/* Callback functions. */
extern void Save_Function(Widget, XtPointer, XtPointer);
extern void Exit_Function(Widget, XtPointer, XtPointer);

